import request from '@/config/axios'

export const getListPage = (params: any) => {
  return request.get({ url: '/oms/module/list', params })
}

export const getInfo = (params: any) => {
  return request.get({ url: '/oms/module/info/{id}', params })
}

export const delTableListApi = (data: any) => {
  return request.post({ url: `/oms/module/delete`, data })
}

export const saveTableApi = (data: any) => {
  return request.post({ url: '/oms/module/save', data })
}

export const updateTableApi = (data: any) => {
  return request.post({ url: '/oms/module/update', data })
}

export const getOptions = () => {
  return request.get({ url: '/oms/module/items' })
}

export const getAllocInfo = (id: any) => {
  return request.post({ url: `/oms/module/allocInfo/${id}` })
}

export const updateAllocModule = (data: any) => {
  return request.post({ url: '/oms/module/allocModule', data })
}
